GH-ISSUE-EDIT(1)

NAME
gh-issue-edit - Edit issues

SYNOPSIS
gh issue edit {<numbers> | <urls>} [flags]

DESCRIPTION
Edit one or more issues within the same repository.

Editing issues' projects requires authorization with the project scope. To authorize, run gh auth refresh -s project.

The --add-assignee and --remove-assignee flags both support the following special values: - @me: assign or unassign yourself - @copilot: assign or unassign Copilot (not supported on GitHub Enterprise Server)

OPTIONS

--add-assignee <login>
    Add assigned users by their login. Use "@me" to assign yourself, or "@copilot" to assign Copilot.

--add-label <name>
    Add labels by name

--add-project <title>
    Add the issue to projects by title

-b, --body <string>
    Set the new body.

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-m, --milestone <name>
    Edit the milestone the issue belongs to by name

--remove-assignee <login>
    Remove assigned users by their login. Use "@me" to unassign yourself, or "@copilot" to unassign Copilot.

--remove-label <name>
    Remove labels by name

--remove-milestone
    Remove the milestone association from the issue

--remove-project <title>
    Remove the issue from projects by title

-t, --title <string>
    Set the new title.

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh issue edit 23 --title "I found a bug" --body "Nothing works"
    $ gh issue edit 23 --add-label "bug,help wanted" --remove-label "core"
    $ gh issue edit 23 --add-assignee "@me" --remove-assignee monalisa,hubot
    $ gh issue edit 23 --add-assignee "@copilot"
    $ gh issue edit 23 --add-project "Roadmap" --remove-project v1,v2
    $ gh issue edit 23 --milestone "Version 1"
    $ gh issue edit 23 --remove-milestone
    $ gh issue edit 23 --body-file body.txt
    $ gh issue edit 23 34 --add-label "help wanted"

SEE ALSO
gh-issue(1)